Drupal.behaviors.slinkyShare = function (context) {
  // Add popup behavior to any link with class="slinky-popup"
  // This will open the share link in a less obtrusive manner.
  $(".slinky-popup").click(function(){  
    window.open($(this).attr("href"), 'slinky_share', 'toolbar=0, status=0, width=626, height=436');
    return false;
  });
}

Drupal.behaviors.slinkyShareAdmin = function(context) {
  $("form#slinky-share-admin .social-network-form div.form-hideable").hide();
  $("form#slinky-share-admin .social-network-form input.form-checkbox").change(function() {
    if ($(this).is(':checked')) {
      $(this).parents('.social-network-form').children(".form-hideable").show(); 
    }
    else {
      $(this).parents('.social-network-form').children(".form-hideable").hide(); 
    }
  }).trigger('change');
}
