<?php

/**
 * Implementation of hook_views_data().
 */
function slinky_share_views_data() {
  $data['node']['share_links'] = array(
    'title' => t('Slinky share links'),
    'help' => t('Provide share links for the node.'),
    'field' => array(
      'handler' => 'slinky_share_handler_field_share_links',
    ),
  );
  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function slinky_share_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'slinky_share') . '/includes/views',
    ),
    'handlers' => array(
      'slinky_share_handler_field_share_links' => array(
        'parent' => 'views_handler_field',
      ),
    ),
  );
}

